Saltar al contenido principal
PUT
/
public
/
v1
/
billing-service
/
billing-contacts
/
{billing-contact-id}
Upsert Billing Contact
curl --request PUT \
  --url https://api.topsort.com/public/v1/billing-service/billing-contacts/{billing-contact-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brandName": "<string>",
  "invoiceTo": "<string>",
  "advertiserName": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de ruta

billing-contact-id
string
requerido

The ID of the billing contact.

Minimum string length: 1

Cuerpo

application/json
brandName
string
requerido

The name of the brand this agency is advertising for.

invoiceTo
string
requerido

The name of the company that is responsible for the invoice.

advertiserName
string
requerido

The name of the agency/advertiser.

Respuesta

Successful Response